Bug 997335 - kernel 3.10 breaks X
kernel 3.10 breaks X
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 03:55 EDT by Tobias Florek
Modified: 2015-06-29 08:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:16:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Florek 2013-08-15 03:55:43 EDT
Description of problem:

the system boots ok, but as soon as gdm is starting, the screen is (and stays) black and the keyboard is not working anymore.


Version-Release number of selected component (if applicable):

kernel-3.10.5-201.fc19.x86_64
kernel-3.10.4-300.fc19.x86_64

works on

kernel-3.9.5-301.fc19.x86_64

How reproducible:

always

Steps to Reproduce:
1. install kernel-3.10.5-201.fc19.x86_64
2. have a "ATI Radeon HD 5450 (ChipID = 0x68f9)" (according to Xorg)
3. boot

Additional info:

without gdm starting, i have working vts. i can even start basic (i assume not hw-accellerated) X apps (i.e. xterm) and wayland. when i start firefox though, the screen locks up soon after though. it just freezes, the screen stays intact.

unfortunately i could not get any output from drm.debug, because it does not seem to hit the disk after the lockup occures.
Comment 1 Renich Bon Ciric 2014-05-29 05:04:53 EDT
Same thing happened to me starting with 3.14.x. 

It seems some kind of breakage with the video driver. Specifically, 3d acceleration since lightdm and LXDE worked more less fine (sporadic kernel panic when trying to use video or something that requires graphics accel).



I am currently running on 3.13.10-200.fc20.x86_64 without problems.

As a, probably unrelated, reference: http://www.funtoo.org/GNOME_First_Steps#Prerequisites (mind the warning)

# lspci
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (external gfx0 port B) (rev 02)
00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD/ATI] RD990 I/O Memory Management Unit (IOMMU)
00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port B)
00:05.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port E)
00:06.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port F)
00:07.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port G)
00:09.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port H)
00:11.0 SATA controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode] (rev 40)
00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 SMBus Controller (rev 42)
00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 PCI to PCI Bridge (rev 40)
00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Link Control
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Turks GL [FirePro V4900]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
02:00.0 Ethernet controller: Intel Corporation 82583V Gigabit Network Connection
03:00.0 USB controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
04:00.0 USB controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
05:00.0 USB controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
06:05.0 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
06:05.1 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
06:05.2 USB controller: VIA Technologies, Inc. USB 2.0 (rev 63)
06:05.3 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev 46)
Comment 2 Renich Bon Ciric 2014-06-04 16:54:00 EDT
Ok, just tried kernel-3.14.5-200.fc20.x86_64 and it still happens.

Also, I got some sysinfo about it: http://fpaste.org/107275/1914763/
Comment 3 Renich Bon Ciric 2014-06-20 01:12:20 EDT
Just to confirm that this still happens with kernel-3.14.8-200.fc20.x86_64

=== fpaste 0.3.7.3 System Information (fpaste --sysinfo) ===
* OS Release (lsb_release -ds):
     "Fedora release 20 (Heisenbug)"
     
* Kernel (uname -r ; cat /proc/cmdline):
     3.14.8-200.fc20.x86_64
     BOOT_IMAGE=/vmlinuz-3.14.8-200.fc20.x86_64 root=UUID=6c9b3ffd-c911-4dcb-9425-e44841ab379d ro rootflags=subvol=root vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8 radeon.dpm=1
     
* Desktop(s) Running (ps -eo comm= | egrep '(gnome-session|startkde|startactive|xfce.?-session|fluxbox|blackbox|hackedbox|ratpoison|enlightenment|icewm-session|od-session|wmaker|wmx|openbox-lxde|openbox-gnome-session|openbox-kde-session|mwm|e16|fvwm|xmonad|sugar-session)' ):
     gnome-session
     
* Desktop(s) Installed (ls -m /usr/share/xsessions/ | sed 's/\.desktop//g' ):
     gnome
     
* SELinux Status (sestatus):
     SELinux status:                 enabled
     SELinuxfs mount:                /sys/fs/selinux
     SELinux root directory:         /etc/selinux
     Loaded policy name:             targeted
     Current mode:                   enforcing
     Mode from config file:          enforcing
     Policy MLS status:              enabled
     Policy deny_unknown status:     allowed
     Max kernel policy version:      29
     
* SELinux Error Count (selinuxenabled && (grep avc: /var/log/messages; ausearch -m avc -ts today)2>/dev/null|egrep -o "comm=\"[^ ]+"|sort|uniq -c|sort -rn):
           6 comm="abrtd"
           4 comm="systemd-udevd"
           4 comm="abrt-dump-oops"
           2 comm="denyhosts.py"
           2 comm="at-spi-bus-laun"
           2 comm="alsactl"
     
* CPU Model (grep 'model name' /proc/cpuinfo | awk -F: '{print $2}' | uniq -c | sed -re 's/^ +//' ):
     6  AMD Phenom(tm) II X6 1100T Processor
     
* 64-bit Support (grep -q ' lm ' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Hardware Virtualization Support (egrep -q '(vmx|svm)' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Load average (uptime):
      16:51:15 up 2 min,  2 users,  load average: 0.58, 0.52, 0.22
     
* Memory usage (free -m):
                  total       used       free     shared    buffers     cached
     Mem:         16009       1328      14681          9          3        666
     -/+ buffers/cache:        659      15350
     Swap:         8071          0       8071
     
* Top 5 CPU hogs (ps axuScnh | awk '$2!=1819' | sort -rnk3 | head -5):
            0     1  6.1  0.0  50896  6720 ?        Ss   16:48   0:09 systemd
            0   883  4.8  0.1 524628 23804 ?        Ssl  16:49   0:05 libvirtd
            0     9  2.0  0.0      0     0 ?        S    16:48   0:02 migration/0
            0   604  1.7  0.1 327404 20180 ?        Ssl  16:49   0:02 firewalld
            0  1772  1.5  0.0 116740  3292 tty2     Ss   16:50   0:00 bash
     
* Top 5 Memory hogs (ps axuScnh | sort -rnk4 | head -5):
           27  1332  0.3  0.5 915208 88128 ?        Sl   16:49   0:00 mysqld
           42  1599  1.4  0.4 1450392 75992 ?       Sl   16:49   0:01 gnome-shell
            0   694  1.1  0.3 358260 53032 ?        Sl   16:49   0:01 setroubleshootd
           42  1499  0.5  0.1 1161140 20692 ?       Sl   16:49   0:00 gnome-settings-
            0   883  4.8  0.1 524628 23804 ?        Ssl  16:49   0:05 libvirtd
     
* Disk space usage (df -hT):
     Filesystem     Type      Size  Used Avail Use% Mounted on
     /dev/sda3      btrfs     5.5T  1.2T  3.8T  24% /
     devtmpfs       devtmpfs  7.9G     0  7.9G   0% /dev
     tmpfs          tmpfs     7.9G   80K  7.9G   1% /dev/shm
     tmpfs          tmpfs     7.9G  9.2M  7.9G   1% /run
     tmpfs          tmpfs     7.9G     0  7.9G   0% /sys/fs/cgroup
     tmpfs          tmpfs     7.9G   16K  7.9G   1% /tmp
     /dev/sda3      btrfs     5.5T  1.2T  3.8T  24% /var
     /dev/sda3      btrfs     5.5T  1.2T  3.8T  24% /srv
     /dev/sda3      btrfs     5.5T  1.2T  3.8T  24% /home
     /dev/sda2      ext4      508M  185M  286M  40% /boot
     
* Block devices (blkid):
     /dev/sda1: PARTUUID="3de829ff-7620-4512-9db4-c09d92b647e6" 
     /dev/sda2: UUID="25e052a0-2671-4fdc-acc3-e8074d0c2f55" TYPE="ext4" PARTUUID="20c88eb5-ab15-471b-9e6c-53d4ca6f4ab3" 
     /dev/sda3: LABEL="fedora" UUID="6c9b3ffd-c911-4dcb-9425-e44841ab379d" UUID_SUB="191294a9-74c8-4a2e-bae6-066bca54456d" TYPE="btrfs" PARTUUID="346dc726-d632-45bb-a2c5-94b26e0286b9" 
     /dev/sda4: LABEL="swap" UUID="92ff1d9f-574c-40f7-b483-0fa6bdc21b7b" TYPE="swap" PARTLABEL="swap" PARTUUID="a0bf2e6d-bdda-4032-a2ee-dde73c636963" 
     /dev/sdb1: LABEL="fedora" UUID="6c9b3ffd-c911-4dcb-9425-e44841ab379d" UUID_SUB="8d32a721-9917-468b-b0b9-bb744c347649" TYPE="btrfs" PARTUUID="80fdffab-96da-4c78-b0dd-9dc99561b900" 
     /dev/sdc1: LABEL="fedora" UUID="6c9b3ffd-c911-4dcb-9425-e44841ab379d" UUID_SUB="c8fd68c7-0d89-4385-a2d1-4797b8f7f6c5" TYPE="btrfs" PARTUUID="3b0983db-88fb-4088-9333-ebab5d2e4c85" 
     /dev/sdd1: UUID="7626F62126F5E1D3" TYPE="ntfs" PARTUUID="78c60f6a-01" 
     /dev/sdd2: LABEL="Archivo" UUID="1C56E05056E02BE8" TYPE="ntfs" PARTUUID="78c60f6a-02" 
     /dev/sde1: LABEL="rec 1" UUID="35D59BE731B341EE" TYPE="ntfs" PARTUUID="08d1daa4-fa81-42e0-a25b-690b8876d88e" 
     /dev/sde2: LABEL="rec 2" UUID="5CB9359A2C9D35A3" TYPE="ntfs" PARTUUID="e41c7935-8c65-43a1-b074-4a6ec11cba80" 
     /dev/sde3: LABEL="rec 3" UUID="66977AEE3CA0F07F" TYPE="ntfs" PARTUUID="51b43ef0-c7da-4873-81b5-a226f33f0129" 
     /dev/sde4: LABEL="storage" UUID="20F011BD3501BC36" TYPE="ntfs" PARTUUID="026bf532-d56b-4d01-87de-7ada79c8d09f" 
     
* PCI devices (lspci):
     00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (external gfx0 port B) (rev 02)
     00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD/ATI] RD990 I/O Memory Management Unit (IOMMU)
     00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port B)
     00:05.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port E)
     00:06.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port F)
     00:07.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port G)
     00:09.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD890 PCI to PCI bridge (PCI express gpp port H)
     00:11.0 SATA controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode] (rev 40)
     00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
     00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
     00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
     00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
     00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 SMBus Controller (rev 42)
     00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA) (rev 40)
     00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
     00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 PCI to PCI Bridge (rev 40)
     00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
     00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
     00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
     00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor HyperTransport Configuration
     00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Address Map
     00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor DRAM Controller
     00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Miscellaneous Control
     00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Link Control
     01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Turks GL [FirePro V4900]
     01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
     02:00.0 Ethernet controller: Intel Corporation 82583V Gigabit Network Connection
     03:00.0 USB controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
     04:00.0 USB controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
     05:00.0 USB controller: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller
     06:05.0 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
     06:05.1 USB controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 61)
     06:05.2 USB controller: VIA Technologies, Inc. USB 2.0 (rev 63)
     06:05.3 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev 46)
     
* USB devices (lsusb):
     Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 010 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 009 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 016 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
     Bus 015 Device 003: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120
     Bus 015 Device 002: ID 1a2c:0c21 China Resource Semico Co., Ltd 
     Bus 015 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 014 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
     Bus 013 Device 002: ID 046d:082d Logitech, Inc. HD Pro Webcam C920
     Bus 013 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 012 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
     Bus 011 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     
* DRM Information (failed: "grep drm /var/log/dmesg"):
     N/A

* Xorg modules (grep LoadModule /var/log/Xorg.0.log | cut -d \" -f 2 | xargs):
     dri2 glamoregl glx ati radeon modesetting fbdev vesa fbdevhw dri2 exa fb ramdac evdev
     
* GL Support (failed: "glxinfo | egrep "OpenGL version|OpenGL renderer""):
     N/A

* Xorg errors (failed: "grep '^\[.*(EE)' /var/log/Xorg.0.log"):
     N/A

* Kernel buffer tail (dmesg | tail):
     [   34.459005] SELinux: initialized (dev proc, type proc), uses genfs_contexts
     [   34.515920] SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
     [   34.517249] SELinux: initialized (dev proc, type proc), uses genfs_contexts
     [   34.723913] tun: Universal TUN/TAP device driver, 1.6
     [   34.723922] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
     [   34.749820] device virbr0-nic entered promiscuous mode
     [   39.215634] virbr0: port 1(virbr0-nic) entered listening state
     [   39.215684] virbr0: port 1(virbr0-nic) entered listening state
     [   39.215829] IPv6: ADDRCONF(NETDEV_UP): virbr0: link is not ready
     [   39.246174] virbr0: port 1(virbr0-nic) entered disabled state
     
* Last few reboots (last -x -n10 reboot runlevel):
     runlevel (to lvl 5)   3.14.8-200.fc20. Thu Jun 19 16:49   still running
     reboot   system boot  3.14.8-200.fc20. Thu Jun 19 11:48   still running
     reboot   system boot  3.14.8-200.fc20. Thu Jun 19 11:48   still running
     runlevel (to lvl 5)   3.13.10-200.fc20 Wed Jun 18 22:49 - 05:54  (07:04)
     reboot   system boot  3.13.10-200.fc20 Wed Jun 18 17:49 - 05:54  (12:04)
     reboot   system boot  3.13.10-200.fc20 Wed Jun 18 17:49 - 05:54  (12:04)
     runlevel (to lvl 5)   3.13.10-200.fc20 Wed Jun 18 17:09 - 22:48  (05:39)
     reboot   system boot  3.13.10-200.fc20 Wed Jun 18 12:08 - 22:48  (10:40)
     reboot   system boot  3.13.10-200.fc20 Wed Jun 18 12:08 - 22:48  (10:40)
     runlevel (to lvl 5)   3.13.10-200.fc20 Tue Jun 17 19:00 - 07:40  (12:39)
     
     wtmp begins Mon May 26 20:50:41 2014
     
* YUM Repositories (yum -C repolist):
     Loaded plugins: fastestmirror, langpacks, merge-conf, refresh-packagekit
     repo id                              repo name                            status
     fedora/20/x86_64                     Fedora 20 - x86_64                   38,597
     !google-chrome                       google-chrome                             3
     !google-talkplugin                   google-talkplugin                         1
     rpmfusion-free/20/x86_64             RPM Fusion for Fedora 20 - Free         468
     !rpmfusion-free-updates/20/x86_64    RPM Fusion for Fedora 20 - Free - Up    444
     rpmfusion-nonfree/20/x86_64          RPM Fusion for Fedora 20 - Nonfree      203
     !rpmfusion-nonfree-updates/20/x86_64 RPM Fusion for Fedora 20 - Nonfree -    291
     !updates/20/x86_64                   Fedora 20 - x86_64 - Updates         17,401
     repolist: 57,408
     
* YUM Extras (yum -C list extras):
     Loaded plugins: fastestmirror, langpacks, merge-conf, refresh-packagekit
     Extra Packages
     bitwig-studio.x86_64        1.0.9-1.fc20     @/bitwig-studio-1.0.9-1.fc20.x86_64
     kernel.x86_64               3.13.10-200.fc20 @/kernel-3.13.10-200.fc20.x86_64   
     kernel.x86_64               3.14.6-200.fc20  installed                          
     kernel.x86_64               3.14.7-200.fc20  installed                          
     kernel-modules-extra.x86_64 3.13.10-200.fc20 @/kernel-modules-extra-3.13.10-200.fc20.x86_64
     kernel-modules-extra.x86_64 3.14.6-200.fc20  installed                          
     kernel-modules-extra.x86_64 3.14.7-200.fc20  installed                          
     mysql-workbench-community.x86_64
                                 6.1.4-1.fc20     @/mysql-workbench-community-6.1.4-1.fc20.x86_64
     
* Last 20 packages installed (rpm -qa --nodigest --nosignature --last | head -20):
     dnf-plugins-core-0.1.0-2.fc20.noarch          Wed 18 Jun 2014 10:46:31 PM CDT
     crda-1.1.3_2014.06.13-1.fc20.x86_64           Wed 18 Jun 2014 10:46:31 PM CDT
     kernel-debug-devel-3.14.8-200.fc20.x86_64     Wed 18 Jun 2014 10:46:13 PM CDT
     kernel-devel-3.14.8-200.fc20.x86_64           Wed 18 Jun 2014 10:45:46 PM CDT
     kernel-headers-3.14.8-200.fc20.x86_64         Wed 18 Jun 2014 10:45:36 PM CDT
     perf-3.14.8-200.fc20.x86_64                   Wed 18 Jun 2014 10:45:35 PM CDT
     perl-Socket-2.014-1.fc20.x86_64               Wed 18 Jun 2014 10:45:34 PM CDT
     perl-XML-Writer-0.625-1.fc20.noarch           Wed 18 Jun 2014 10:45:33 PM CDT
     xemacs-filesystem-21.5.34-6.20140605hgacf1c26e3019.fc20.noarch Wed 18 Jun 2014 10:45:32 PM CDT
     xorg-x11-server-utils-7.7-6.fc20.x86_64       Wed 18 Jun 2014 10:45:31 PM CDT
     php-fpm-5.5.13-3.fc20.x86_64                  Wed 18 Jun 2014 10:45:30 PM CDT
     php-process-5.5.13-3.fc20.x86_64              Wed 18 Jun 2014 10:45:29 PM CDT
     php-xml-5.5.13-3.fc20.x86_64                  Wed 18 Jun 2014 10:45:28 PM CDT
     php-cli-5.5.13-3.fc20.x86_64                  Wed 18 Jun 2014 10:45:27 PM CDT
     kernel-tools-3.14.8-200.fc20.x86_64           Wed 18 Jun 2014 10:45:25 PM CDT
     gnome-settings-daemon-updates-3.10.3-1.fc20.x86_64 Wed 18 Jun 2014 10:45:24 PM CDT
     kernel-modules-extra-3.14.8-200.fc20.x86_64   Wed 18 Jun 2014 10:45:23 PM CDT
     kernel-3.14.8-200.fc20.x86_64                 Wed 18 Jun 2014 10:45:21 PM CDT
     gnome-settings-daemon-3.10.3-1.fc20.x86_64    Wed 18 Jun 2014 10:45:15 PM CDT
     kernel-tools-libs-3.14.8-200.fc20.x86_64      Wed 18 Jun 2014 10:45:14 PM CDT
Comment 4 Renich Bon Ciric 2014-07-04 20:10:44 EDT
Ok, this problem was resolved by regenerating the initramfs image with the following command:

    dracut --force
Comment 5 Paul DeStefano 2014-08-08 00:45:40 EDT
Okay, comment 4 is very interesting.  Can someone explain why that helped?  I don't understand.
Comment 6 Renich Bon Ciric 2014-08-08 13:31:04 EDT
I dunno why I didn't mention this but, there is another issue. This worked sometimes, not always. What made it work is removing radeon.dpm=1.

https://bugzilla.redhat.com/show_bug.cgi?id=1119000

This is still odd. Cause, sporadically (few times; maybe 3 out of 20), it still happens and I have to reboot.
Comment 7 Paul DeStefano 2015-01-11 01:58:06 EST
This sounds like what I experienced.  X started, but the login manager never showed up, just black with mouse on top.

Whatever the ati driver people did in F21 worked, though!  It's great now. 2D seems find and 3D even works much better than it used to.  Thanks to all for making that happen.
Comment 8 Fedora End Of Life 2015-05-29 05:19:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:16:57 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.